From 313dcc5043d93efb72e8ece3164ea00e6790d5dc Mon Sep 17 00:00:00 2001
From: Smeulf <smeulf@team-mediaportal.com>
Date: Sat, 18 Feb 2012 21:12:19 +0100
Subject: [PATCH] Player UI contributor must must be initialized each time
 because of subtitles and chapters handling

---
 .../UiComponents/Media/Models/BasePlayerModel.cs   |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/MediaPortal/Source/UI/UiComponents/Media/Models/BasePlayerModel.cs b/MediaPortal/Source/UI/UiComponents/Media/Models/BasePlayerModel.cs
index 9a17c56..e67d9e7 100644
--- a/MediaPortal/Source/UI/UiComponents/Media/Models/BasePlayerModel.cs
+++ b/MediaPortal/Source/UI/UiComponents/Media/Models/BasePlayerModel.cs
@@ -117,9 +117,8 @@ namespace MediaPortal.UiComponents.Media.Models
       try
       {
         if (oldPlayerUIContributor != null && playerUIContributorType == oldPlayerUIContributor.GetType())
-        { // Player UI contributor is already correct, but maybe must be initialized
-          if (oldPlayerUIContributor.MediaWorkflowStateType != stateType)
-            oldPlayerUIContributor.Initialize(stateType, player);
+        { // Player UI contributor is already correct, but must must be initialized again because of subtitles and chapters handling
+          oldPlayerUIContributor.Initialize(stateType, player);
           _backgroundDisabled = oldPlayerUIContributor.BackgroundDisabled;
           _screenName = oldPlayerUIContributor.Screen;
           return;
-- 
1.7.6.msysgit.0

